

#pragma once

#include "LibSip_Interface.hh"

namespace LibSip__Interface {

	class OperatorPort : public OperatorPort_BASE {
	public:
		OperatorPort(const char *par_port_name): OperatorPort_BASE(par_port_name) { };
		~OperatorPort() { };

	protected:
		virtual void outgoing_call(const s__SIP__conversation_call& call_par) { };
		virtual void outgoing_call(const s__SIP__ringing_call& call_par) { };
		virtual void outgoing_call(const s__SIP__announcementA_call& call_par) { };
		virtual void outgoing_call(const s__SIP__announcementB_call& call_par) { };
		virtual void outgoing_call(const s__SIP__announcement_call& call_par) { };
		virtual void outgoing_call(const s__SIP__voiceMessage_call& call_par) { };
		virtual void outgoing_call(const s__SIP__mediastopped_call& call_par) { };
		virtual void outgoing_reply(const s__SIP__conversation_reply& reply_par) { };
		virtual void outgoing_reply(const s__SIP__ringing_reply& reply_par) { };
		virtual void outgoing_reply(const s__SIP__announcementA_reply& reply_par) { };
		virtual void outgoing_reply(const s__SIP__announcementB_reply& reply_par) { };
		virtual void outgoing_reply(const s__SIP__announcement_reply& reply_par) { };
		virtual void outgoing_reply(const s__SIP__voiceMessage_reply& reply_par) { };
		virtual void outgoing_reply(const s__SIP__mediastopped_reply& reply_par) { };
	}; // End of class OperatorPort

}
